export declare class BpSdkCreateAppFormButton {
    /**
     * Text to be displayed
     */
    text: string;
    /**
     * Id for button
     */
    buttonId: string;
    /**
     * Controls disables state of button
     */
    buttonDisabled: boolean;
    useExternal: boolean;
    resetState(): void;
    connectedCallback(): void;
    componentWillLoad(): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
